<?php
// This file is called on Admin pages

	// ****** Register the options page ******
	if ( function_exists( 'add_options_page' ) ) {
		add_options_page( 'KeywordLuv Setup', 'KeywordLuv', 'update_plugins', basename(__FILE__), 'keywordluv_admin_page' );
	}
	// ***********************************



	// ****** FUNCTION TO DRAW OPTIONS PAGE CONTENT ******
	function keywordluv_admin_page() {

		// load the options
		$keywordluv_options = get_option( 'keywordluv_options' );
		
		// Post the form
		if ( isset( $_POST[ 'keywordluv_options_submit' ] ) && check_admin_referer( 'keywordluv_admin_page_submit' ) ) {
			if ( esc_html( $_POST[ 'keywordluv_show_message' ] ) == 'true' ) { $keywordluv_options[ 'show_message' ] = 'true'; } else { $keywordluv_options[ 'show_message' ] = 'false'; } 
			$keywordluv_options[ 'message' ] = ( esc_html( $_POST[ 'keywordluv_message' ] ) );
			if ( esc_html( $_POST[ 'keywordluv_compatibility_mode' ] ) == 'true' ) { $keywordluv_options[ 'compatibility_mode' ] = 'true'; } else { $keywordluv_options[ 'compatibility_mode' ] = 'false'; } 
			update_option( 'keywordluv_options', $keywordluv_options );
			echo '<div id="message" class="updated"><p><strong>';
			_e('Options saved.');
			echo '</strong></p></div>';
		} 

		// now drop out of php to create the HTML for the Options page
	?>
	
		<div class="wrap"> 
			<h2>KeywordLuv Settings</h2>			
			<div id="poststuff">

				<!-- Start Form (Posts to this page) -->
				<form name="keywordluv_options_form" action="" method="post">
				<?php if (function_exists(wp_nonce_field)) {wp_nonce_field('keywordluv_admin_page_submit'); }?>

				<div class="stuffbox">
					<h3>General Settings</h3>
					<div class="inside">

						<label class="keywordluv_options" for="keywordluv_message">Comment Form Message</label>
						<textarea style="width: 75%; height: 90px;" id="keywordluv_message" name="keywordluv_message"><?php echo esc_html( stripslashes( $keywordluv_options[ 'message' ] ) ); ?></textarea>
						<br />This message will be shown on the comment form, if the Show Comment Form Message options is set.

						<label class="keywordluv_options" for="keywordluv_show_message">Show Comment Form Message</label>
						<input type="checkbox" name="keywordluv_show_message" id="keywordluv_show_message" value="true" <?php if ( esc_attr( $keywordluv_options[ 'show_message' ] == 'true' ) ) echo 'checked="checked"'; ?> /> Turn this off if you want to tell your visitors how to enter name @ keywords through your theme, rather than this message.

						<label class="keywordluv_options" for="keywordluv_compatibility_mode">Compatibility Mode</label>
						<input type="checkbox" name="keywordluv_compatibility_mode" id="keywordluv_compatibility_mode" value="true" <?php if ( esc_attr( $keywordluv_options[ 'compatibility_mode' ] == 'true' ) ) echo 'checked="checked"'; ?> /> Turn this on if your theme is not compatible with KeywordLuv. <strong>Warning: <a href="http://scratch99.com/wordpress-plugin-keywordluv/keywordluv-theme-compatibility-issue/">Read the implications</a> of doing this first</strong>.

						<!-- Show Update Button -->
						<div class="submit">
						<input type="submit" name="keywordluv_options_submit" value="<?php _e('Update Options &raquo;') ?>"/>
						</div>

					</div> <!-- end class="inside" -->
				</div> <!-- end class="stuffbox" -->

				<!-- End Form -->
				</form>
				
				<!-- Thank You Section -->
				<p style="font-size:0.9em">KeywordLuv Copyright 2008 - 2012 by Stephen Cronin. Released under the GNU General Public License (version 2 or later).</p>
	
			</div> <!-- end id="poststuff" -->
		</div> <!-- end class="wrap" -->

	<?php
	}
	// *********** END ADMIN PAGE FUNCTION ***********
	
	
	
	// ****** Start style / scripts to head element for options page ******
	add_action( 'admin_head', 'keywordluv_admin_head' );
	function keywordluv_admin_head() {
	?>
		<!-- Start KeywordLuv plugin additions -->
		<style type="text/css" media>
			label.keywordluv_options {
				display:block;
				margin: 16px 0 4px;
				font-weight:bold;
			}
			#submit {
				margin: 0 0 20px;
			}
		</style>
		<!-- End KeywordLuv plugin additions -->
	<?php
	}
	// ****** End style / scripts to head element for options page ******


?>